if (!window.flywire)
    window.flywire = {};

/**
 * Listen for DOM Mutation events on the body tag and, if checkout
 * overlay '#flywire-checkout' has been added, change the z-index
 * NOTE: Remove this code when "Embedded 2.0- 2nd release" is in production
 */
if (window.MutationObserver) {
    const observer = new MutationObserver((mutationsList, observer) => {
        for (const mutation of mutationsList) {
            const node = mutation.addedNodes[0];
            if (!!node && node.nodeName === 'DIV' && node.id === 'flywire-checkout')
                node.style.zIndex = 9999;
        }
    });
    observer.observe(document.body, { childList: true });
}

window.flywire.WooCommerce = {
    unblock: function() {
        const form = jQuery('form[name=checkout]');
        form.removeClass('processing');
        if (typeof form.unblock === 'function')
            form.unblock();
    },
    show: function(config) {
        this.unblock();
        try {
            config = JSON.parse(config);
            console.log(config);
            window.flywire.Checkout.render(config, "#checkout-button");
            document.getElementById('checkout-button').removeAttribute('disabled');
            document.getElementById('checkout-button').click();
        } catch(err) {
            console.error('Unable to parse config JSON.');
        }
    }
}